## -*- Mode: CPerl -*-
##
## File: DTA::CAB::Analyzer::Morph::Latin.pm
## Author: Bryan Jurish <moocow@cpan.org>
## Description: latin pseudo-morphology (top-level alias)

##==============================================================================
## Package: Analyzer::Morph::Latin
##==============================================================================
package DTA::CAB::Analyzer::Morph::Latin;
use Carp;
use strict;

#use DTA::CAB::Analyzer::Morph::Latin::FST;
#our @ISA = qw(DTA::CAB::Analyzer::Morph::Latin::FST);
##
#use DTA::CAB::Analyzer::Morph::Latin::Dict;
#our @ISA = qw(DTA::CAB::Analyzer::Morph::Latin::Dict);
##
#use DTA::CAB::Analyzer::Morph::Latin::BDB;
#our @ISA = qw(DTA::CAB::Analyzer::Morph::Latin::BDB);
##
use DTA::CAB::Analyzer::Morph::Latin::CDB;
our @ISA = qw(DTA::CAB::Analyzer::Morph::Latin::CDB);


1; ##-- be happy

__END__
##========================================================================
## POD DOCUMENTATION, auto-generated by podextract.perl
=pod

=cut

##========================================================================
## NAME
=pod

=head1 NAME

DTA::CAB::Analyzer::Morph::Latin - latin pesudo-morphology analysis (wrapper)

=cut

##========================================================================
## SYNOPSIS
=pod

=head1 SYNOPSIS

 use DTA::CAB::Analyzer::Morph::Latin;
 
 $morph = DTA::CAB::Analyzer::Morph::Latin->new(%args);

=cut

##========================================================================
## DESCRIPTION
=pod

=head1 DESCRIPTION

DTA::CAB::Analyzer::Morph::Latin
is a just a wrapper for
L<DTA::CAB::Analyzer::Morph::Latin::BDB|DTA::CAB::Analyzer::Morph::Latin::BDB>.

=cut

##========================================================================
## END POD DOCUMENTATION, auto-generated by podextract.perl

##======================================================================
## Footer
##======================================================================

=pod

=head1 AUTHOR

Bryan Jurish E<lt>moocow@cpan.orgE<gt>

=head1 COPYRIGHT AND LICENSE

Copyright (C) 2009-2019 by Bryan Jurish

This package is free software; you can redistribute it and/or modify
it under the same terms as Perl itself, either Perl version 5.24.1 or,
at your option, any later version of Perl 5 you may have available.

=cut
